<!--
The code provided below has been thoroughly tested and is guaranteed to work correctly.

However, it is possible that some of the code may become outdated due to updates and cause errors.
In such cases, please send an email to (SCode.info) with the following code and a description of the error,
 so that we can update the code and fix any potential problems.

-->


<!-- This code should be placed in category.php and archive.php files. -->

<!-- Show category name -->
// The first method
<?php single_cat_title( 'Category: ', true ); ?>

// The second method
<?php
$category = get_queried_object();
echo $category->name;
?>



<!--
*
*  Display the category name and the number of posts associated with it.
*  This code should be placed in category.php and archive.php files.
*
-->
<h2 id="SC_cat_name_count">
<?php
// Function to retrieve a category by its name
function get_category_by_name($category_name) {
  $categories = get_categories(array('name' => $category_name, 'hide_empty' => false));
  if ($categories) {
    return $categories[0];
  } else {
    return null;
  }
}

// Assuming you have the get_category_post_count() function defined elsewhere (e.g., functions.php)
function get_category_post_count($category_name) {
  $category = get_category_by_name($category_name);
  if ($category) {
    return $category->count;
  } else {
    return 0;
  }
}

if ( have_posts() && is_category() ) {
  $previous_category_name = ''; // Initialize the previous category name
  while ( have_posts() ) : the_post();
    $category_name = single_cat_title( '', false ); // Get category name
    $post_count = get_category_post_count($category_name);

    if ($category_name != $previous_category_name) { // Check if it's a new category
      if ($previous_category_name) { // Print previous category if not empty
        echo '<span class="SC_cat-name_post-count">' . $previous_category_name . ': ' . '<em>' . $previous_post_count . '</em>' . ' posts</span>';
      }
      $previous_category_name = $category_name; // Set the current category as previous
      $previous_post_count = $post_count; // Set the current post count as previous
    } else {
      $previous_post_count = $post_count;
    }
  endwhile; // End the loop
  // Print the last category if not printed already
  if ($previous_category_name) {
    echo '<span class="SC_cat-name_post-count">' . $previous_category_name . ': ' . '<em>' . $previous_post_count . '</em>' . ' posts</span>';
  }
}
?>
</h2>
